﻿using System;
using System.Drawing;
using Syncfusion.SfNumericTextBox.iOS;

using UIKit;

namespace NumericTextBoxiOS
{
	public partial class ViewController : UIViewController
	{
		protected ViewController(IntPtr handle) : base(handle)
		{
			// Note: this .ctor should not contain any initialization logic.
		}

		public override void ViewDidLoad()
		{
			base.ViewDidLoad();
			SFNumericTextBox box = new SFNumericTextBox();
			box.Frame = new CoreGraphics.CGRect(10,50,200,50);
			var toolbar = new UIToolbar(new RectangleF(0.0f, 0.0f, (float)box.Frame.Size.Width, 44.0f));

			toolbar.Items = new[]
			{
					new UIBarButtonItem(UIBarButtonSystemItem.FlexibleSpace),
					new UIBarButtonItem(UIBarButtonSystemItem.Done, delegate { box.ResignFirstResponder(); })
				};

			box.InputAccessoryView = toolbar;
			View.AddSubview(box);

			// Perform any additional setup after loading the view, typically from a nib.
		}

		public override void DidReceiveMemoryWarning()
		{
			base.DidReceiveMemoryWarning();
			// Release any cached data, images, etc that aren't in use.
		}
	}
}
